DCMTK: DVPSVOIWindow_PList Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
DVPSVOIWindow_PList Class Reference

the list of VOI Windows contained in an image attached to a presentation state. More...

## Public Member Functions
| DVPSVOIWindow_PList ()
| default constructor
| DVPSVOIWindow_PList (const DVPSVOIWindow_PList &copy)
| copy constructor
DVPSVOIWindow_PList * | clone ()
| clone method.
virtual | ~DVPSVOIWindow_PList ()
| destructor
OFCondition | read (DcmItem &dset)
| reads a list of VOI Windows from a DICOM dataset.
void | clear ()
| reset the object to initial state.
size_t | size () const
| get number of VOI Windows in this list.
DVPSVOIWindow * | getVOIWindow (size_t idx)
| returns a pointer to the VOI Window with the given index or NULL if it does not exist.

## Private Member Functions
DVPSVOIWindow_PList & | operator= (const DVPSVOIWindow_PList &)
| private undefined assignment operator

## Private Attributes
OFList< DVPSVOIWindow * > | list_
| the list maintained by this object

## Detailed Description

the list of VOI Windows contained in an image attached to a presentation state.

This class manages the data structures comprising the VOI Windows of one image attached to a presentation state.

## Member Function Documentation

## ◆ clear()

void DVPSVOIWindow_PList::clear | ( |  | ) |

reset the object to initial state.

After this call, the object is in the same state as after creation with the default constructor.

## ◆ clone()

DVPSVOIWindow_PList * DVPSVOIWindow_PList::clone | ( |  | ) |
| inline

clone method.

Returns
  a pointer to a new DVPSVOIWindow_PList object containing a deep copy of this object.

References DVPSVOIWindow_PList().

## ◆ getVOIWindow()

DVPSVOIWindow * DVPSVOIWindow_PList::getVOIWindow | ( | size_t | idx | ) |

returns a pointer to the VOI Window with the given index or NULL if it does not exist.

Parameters

  idx | index, must be < size()

Returns
  pointer to VOI Window or NULL

## ◆ read()

OFCondition DVPSVOIWindow_PList::read | ( | DcmItem & | dset | ) |

reads a list of VOI Windows from a DICOM dataset.

The DICOM elements of the VOI Window are copied from the dataset to this object. If this method returns an error code, the object is in undefined state afterwards.

Parameters

  dset | the dataset from which the VOI Windows are to be read

Returns
  EC_Normal if successful, an error code otherwise.

## ◆ size()

size_t DVPSVOIWindow_PList::size | ( |  | ) | const
| inline

get number of VOI Windows in this list.

Returns
  the number of VOI Windows.

References list_.

The documentation for this class was generated from the following file:

- dcmpstat/include/dcmtk/dcmpstat/dvpsvwl.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1